// Readme:
// ファイルを一つずつ選択する単一画像モードと，フォルダー単位で選択するフォルダーモードがあります．
// 各画像の計測点の数が決まっているのであれば，「定数」の Max_measure の数を指定して下さい．
// もし決まっていないのであれば，おおよそ予想される最大値を指定して下さい．
// Max_measure で指定した数の計測が完了したら，自動的に次の画像ファイルを選択するダイアログボックスが表示されます．
// 単一画像モード，フォルダーモード共に，現在の画像の計測を終了したい場合は（右クリック）して下さい．単一画像モードの場合は次のファイルを開くダイアログボックスが表示されます．
// フォルダーモードの場合の途中でフォルダーモードを終了したい場合も「ESC」キーを押して下さい．
// メニュー画面が表示された状態で「ESC」キーを押すとプログラムは終了します．
// 出力されるデータの書式は，一行目にスケール，二行目以下は，”測定点の番号，Ｘ座標，Ｙ座標，赤，緑，青”です．色はそのピクセルの色を各色に分解したものです．
// （注意）出力されるデータファイルは強制的に上書きされます．１ヵ所でも計測されていた場合は，計測を中断しても上書きされます．

// 定数
final int    Max_measure      = 32;               // ここで指定した数のポイントを計測し終えたら自動的に次の画像の選択用ダイアログボックスが表示される
                                                  // フォルダーモードの場合はフォルダー内の次の画像が自動的に開かれる

final int    Target_size      = 5;                // ターゲットマーカーのサイズ
final int    Target_color[][] = {{255,  80,  80}, // ターゲットマーカーの色 : 赤，白，黒 
                                 {255, 255, 255},
                                 {0, 0, 0}};  
final double Initial_scale    = 1.0;              // 画像のスケール（倍率）初期値
final double Scale_rate       = 1.5;              // 倍率の比率
final String Export_ext       = ".txt";           // 出力するデータファイルの拡張子
final int    filter_type[]    = {GRAY, INVERT};   // 表示する画像に掛けるフィルター Either THRESHOLD, GRAY, OPAQUE, INVERT, POSTERIZE, BLUR, ERODE, or DILATE

final int    Delay_message    = 2000;          // ショートメッセージの表示時間（ミリ秒）

final String Version          = "2.0";
